# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetError

Function

Returns the error code for the last error that occurred.

Syntax
`
#include <dx/dx.h>
`

ErrorCode DXGetError()

Functional Details

Returns the error code for the last error that occurred, which is one of the following error codes:

    ERROR_ASSERTION        ERROR_INTERNAL        ERROR_NO_MEMORY
    ERROR_BAD_CLASS        ERROR_INVALID_DATA    ERROR_NO_NONE
    ERROR_BAD_PARAMETER    ERROR_MISSING_DATA    ERROR_NOT_IMPLEMENTED
    ERROR_BAD_TYPE         ERROR_NO_CAMERA       ERROR_UNEXPECTED

A return value of `ERROR_NONE` signifies that no error code has been set.

Note: | This routine is not typically used by module writers.

Return Value

Returns the error code for the most recent error or returns `ERROR_NONE` if no error code has been set.

See Also

`DXGetErrorMessage, DXResetError, DXSetError, DXErrorReturn, DXErrorGoto`

13.1 , "Error Handling and Messages".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]